Home

# Class goog.ui.TabPane

TabPane widget. All children already inside the tab pane container element will be be converted to tabs. Each tab is represented by a goog.ui.TabPane. TabPage object. Further pages can be constructed either from an existing container or created from scratch.

extends goog.events.EventTarget

Instance Method Summary
| `addPage(?goog.ui.TabPane.TabPage page, number= opt_index)` Adds a page to the tab pane.
| `createClear_() ⇒ ?Element` Creates the HTML node for the clearing div, and associated style in the .
| `createPages_(?Array nodes)` Creates pages out of a collection of elements.
| `create_()` Creates HTML nodes for tab pane.

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `getChildNodes_() ⇒ ?Array`
| `getContentElement() ⇒ ?Element`
| `getElement() ⇒ ?Element`
| `getPage(number index) ⇒ ?goog.ui.TabPane.TabPage` Gets the tab page by zero based index.
| `getSelectedIndex() ⇒ number`
| `getSelectedPage() ⇒ ?goog.ui.TabPane.TabPage`
| `onHeaderClick_(?goog.events.BrowserEvent event)` Click event handler for header element, handles clicks on tabs.
| `onHeaderKeyDown_(?goog.events.BrowserEvent event)` KeyDown event handler for header element. Arrow keys moves between pages. Home and end selects the first/last page.
| `removePage((goog.ui.TabPane.TabPage|null|number) page)` Removes the specified page from the tab pane.
| `setSelectedIndex(number index)` Sets the selected tab page by zero based index.
| `setSelectedPage(?goog.ui.TabPane.TabPage page)` Sets the selected tab page by object reference.